import type { KeyDidMapping } from './keyDidMapping';
import { convertPublicKeyToX25519 } from '@stablelib/ed25519';
import { Key } from '../../../../crypto/Key';
export declare const VERIFICATION_METHOD_TYPE_ED25519_VERIFICATION_KEY_2018 = "Ed25519VerificationKey2018";
export declare const VERIFICATION_METHOD_TYPE_ED25519_VERIFICATION_KEY_2020 = "Ed25519VerificationKey2020";
export declare function getEd25519VerificationMethod({ key, id, controller }: {
    id: string;
    key: Key;
    controller: string;
}): {
    id: string;
    type: string;
    controller: string;
    publicKeyBase58: string;
};
export declare const keyDidEd25519: KeyDidMapping;
export { convertPublicKeyToX25519 };
