"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StatusHandler = void 0;
const models_1 = require("../../../../../../agent/models");
const messages_1 = require("../messages");
class StatusHandler {
    constructor(mediatorRecipientService) {
        this.supportedMessages = [messages_1.StatusMessage];
        this.mediatorRecipientService = mediatorRecipientService;
    }
    async handle(messageContext) {
        const connection = messageContext.assertReadyConnection();
        const deliveryRequestMessage = await this.mediatorRecipientService.processStatus(messageContext);
        if (deliveryRequestMessage) {
            return new models_1.OutboundMessageContext(deliveryRequestMessage, {
                agentContext: messageContext.agentContext,
                connection,
            });
        }
    }
}
exports.StatusHandler = StatusHandler;
//# sourceMappingURL=StatusHandler.js.map